API ReferenceCurrent account mobile number change
Start a mobile-number change
Requests the change at the provider and dispatches the owner-authorization OTP to the existing mobile or verified email.
Request Body
application/json
Request body for starting a mobile-number change
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/user/accounts/current/phone/changes" \ -H "Content-Type: application/json" \ -d '{ "new_mobile_country_code": "254", "new_mobile_number": "798765432", "authorization_channel": "OLD_MOBILE" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "status": "INITIALIZING", "authorization_channel": "OLD_MOBILE", "created_at": "2019-08-24T14:15:22Z", "authorized_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "authorize_url": "string", "confirm_url": "string", "resource_id": "string"}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}